@echo off

REM REM REM  REM      REM REM  REM REM  REM REM 
REM     REM  REM         REM   REM      REM
REM REM REM  REM        REM    REM REM  REM
REM     REM  REM       REM     REM      REM
REM     REM  REM REM  REM REM  REM REM  REM REM 


Rem ### Fichier DAT ###

l2encdec -s ActionName-e.dat dec-ActionName-e.dat
l2encdec -s armorgrp.dat dec-armorgrp.dat
l2encdec -s castlename-e.dat dec-castlename-e.dat
l2encdec -s chargrp.dat dec-chargrp.dat
l2encdec -s classinfo-e.dat dec-classinfo-e.dat
l2encdec -s commandname-e.dat dec-commandname-e.dat
l2encdec -s creditgrp-e.dat dec-creditgrp-e.dat
l2encdec -s entereventgrp.dat dec-entereventgrp.dat
l2encdec -s etcitemgrp.dat dec-etcitemgrp.dat
l2encdec -s eula-e.dat dec-eula-e.dat
l2encdec -s hairaccessarygrp.dat dec-hairaccessarygrp.dat
l2encdec -s hairaccessorylocgrp.dat dec-hairaccessorylocgrp.dat
l2encdec -s hairgrp.dat dec-hairgrp.dat
l2encdec -s helmetgrp.dat dec-helmetgrp.dat
l2encdec -s hennagrp-e.dat dec-hennagrp-e.dat
l2encdec -s itemname-e.dat dec-itemname-e.dat
l2encdec -s logongrp.dat dec-logongrp.dat
l2encdec -s mobskillanimgrp.dat dec-mobskillanimgrp.dat
l2encdec -s musicinfo.dat dec-musicinfo.dat
l2encdec -s npcgrp.dat dec-npcgrp.dat
l2encdec -s npcname-e.dat dec-npcname-e.dat
l2encdec -s obscene-e.dat dec-obscene-e.dat
l2encdec -s questname-e.dat dec-questname-e.dat
l2encdec -s recipe-c.dat dec-recipe-c.dat
l2encdec -s servername-e.dat dec-servername-e.dat
l2encdec -s skillgrp.dat dec-skillgrp.dat
l2encdec -s skillname-e.dat dec-skillname-e.dat
l2encdec -s skillsoundgrp.dat dec-skillsoundgrp.dat
l2encdec -s staticobject-e.dat dec-staticobject-e.dat
l2encdec -s symbolname-e.dat dec-symbolname-e.dat
l2encdec -s sysstring-e.dat dec-sysstring-e.dat
l2encdec -s systemmsg-e.dat dec-systemmsg-e.dat
l2encdec -s weapongrp.dat dec-weapongrp.dat
l2encdec -s zonename-e.dat dec-zonename-e.dat


Rem ### Fichiers INI ###

l2encdec -s l2.ini dec-l2.ini
l2encdec -s localization.ini dec-localization.ini
l2encdec -s ttfontinfo.ini dec-ttfontinfo.ini
l2encdec -s user.ini dec-user.ini


Rem ### Fichiers INT ###

l2encdec -s ALAudio.int dec-ALAudio.int
l2encdec -s bighead.int dec-bighead.int
l2encdec -s cloak.int dec-cloak.int
l2encdec -s core.int dec-core.int
l2encdec -s engine.int dec-engine.int
l2encdec -s env.int dec-env.int
l2encdec -s Hair.int dec-Hair.int
l2encdec -s ipdrv.int dec-ipdrv.int
l2encdec -s l2.int dec-l2.int
l2encdec -s lineagemonster.int dec-lineagemonster.int
l2encdec -s LineageMonster2.int dec-LineageMonster2.int
l2encdec -s LineageNpc.int dec-LineageNpc.int
l2encdec -s lineagewarrior.int dec-lineagewarrior.int
l2encdec -s soulshot.int dec-soulshot.int
l2encdec -s timeenv0.int dec-timeenv0.int
l2encdec -s timeenv1.int dec-timeenv1.int
l2encdec -s timeenv2.int dec-timeenv2.int
l2encdec -s Window.int dec-Window.int
l2encdec -s windrv.int dec-windrv.int

echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo 1st Process finished! 
echo Press any key to continue the decryption...
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause> nul


Rem ###################################################

REM l2disasm -d C4\servername-e.ddf dec-servername-e.dat servername-e.txt
REM l2disasm -d C4\skillgrp.ddf dec-skillgrp.dat skillgrp.txt
REM l2disasm -d C4\skillname-e.ddf dec-skillname-e.dat skillname-e.txt
REM l2disasm -d C4\skillsoundgrp.ddf dec-skillsoundgrp.dat skillsoundgrp.txt
REM l2disasm -d C4\staticobject-e.ddf dec-staticobject-e.dat staticobject-e.txt
REM l2disasm -d C4\symbolname-e.ddf dec-symbolname-e.dat symbolname-e.txt
REM l2disasm -d C4\sysstring-e.ddf dec-sysstring-e.dat sysstring-e.txt
REM l2disasm -d C4\systemmsg-e.ddf dec-systemmsg-e.dat systemmsg-e.txt
REM l2disasm -d C4\weapongrp.ddf dec-weapongrp.dat weapongrp.txt
REM l2disasm -d C4\zonename-e.ddf dec-zonename-e.dat zonename-e.txt

REM ######################################################################################

l2disasm -d C4\ActionName-e.ddf -e ActionName-e-new.ddf dec-ActionName-e.dat ActionName-e.txt
l2disasm -d C4\armorgrp.ddf -e armorgrp-new.ddf dec-armorgrp.dat armorgrp.txt
l2disasm -d C4\castlename-e.ddf -e castlename-e-new.ddf dec-castlename-e.dat castlename-e.txt
l2disasm -d C4\chargrp.ddf -e chargrp-new.ddf dec-chargrp.dat chargrp.txt
l2disasm -d C4\classinfo-e.ddf -e classinfo-e-new.ddf dec-classinfo-e.dat classinfo-e.txt
l2disasm -d C4\commandname-e.ddf -e commandname-e-new.ddf dec-commandname-e.dat commandname-e.txt
l2disasm -d C4\creditgrp-e.ddf -e creditgrp-e.ddf dec-creditgrp-e.dat creditgrp-e.txt
l2disasm -d C4\entereventgrp.ddf -e entereventgrp-new.ddf dec-entereventgrp.dat entereventgrp.txt
l2disasm -d C4\etcitemgrp.ddf -e etcitemgrp-new.ddf dec-etcitemgrp.dat etcitemgrp.txt
l2disasm -d C4\eula-e.ddf -e eula-e-new.ddf dec-eula-e.dat eula-e.txt
l2disasm -d C4\hairaccessarygrp.ddf -e hairaccessarygrp-new.ddf dec-hairaccessarygrp.dat hairaccessarygrp.txt
l2disasm -d C4\hairaccessorylocgrp.ddf -e hairaccessorylocgrp-new.ddf dec-hairaccessorylocgrp.dat hairaccessorylocgrp.txt
l2disasm -d C4\hairgrp.ddf -e hairgrp-new.ddf dec-hairgrp.dat hairgrp.txt
l2disasm -d C4\helmetgrp.ddf -e helmetgrp-new.ddf dec-helmetgrp.dat helmetgrp.txt
l2disasm -d C4\hennagrp-e.ddf -e hennagrp-new.ddf dec-hennagrp-e.dat hennagrp-e.txt
l2disasm -d C4\itemname-e.ddf -e itemname-e-new.ddf dec-itemname-e.dat itemname-e.txt
l2disasm -d C4\logongrp.ddf -e logongrp-new.ddf dec-logongrp.dat logongrp.txt
l2disasm -d C4\mobskillanimgrp.ddf -e mobskillanimgrp-new.ddf dec-mobskillanimgrp.dat mobskillanimgrp.txt
l2disasm -d C4\musicinfo.ddf -e musicinfo-new.ddf dec-musicinfo.dat musicinfo.txt
l2disasm -d C4\npcgrp.ddf -e npcgrp-new.ddf dec-npcgrp.dat npcgrp.txt
l2disasm -d C4\npcname-e.ddf -e npcname-e-new.ddf dec-npcname-e.dat npcname-e.txt
l2disasm -d C4\obscene-e.ddf -e obscene-e-new.ddf dec-obscene-e.dat obscene-e.txt
l2disasm -d C4\questname-e.ddf -e questname-e-new.ddf dec-questname-e.dat questname-e.txt
l2disasm -d C4\recipe-c.ddf -e recipe-c-new.ddf dec-recipe-c.dat recipe-c.txt
l2disasm -d C4\servername-e.ddf -e servername-e-new.ddf dec-servername-e.dat servername-e.txt
l2disasm -d C4\skillgrp.ddf -e skillgrp-new.ddf dec-skillgrp.dat skillgrp.txt
l2disasm -d C4\skillname-e.ddf -e skillname-e-new.ddf dec-skillname-e.dat skillname-e.txt
l2disasm -d C4\skillsoundgrp.ddf -e skillsoundgrp-new.ddf dec-skillsoundgrp.dat skillsoundgrp.txt
l2disasm -d C4\staticobject-e.ddf -e staticobject-e-new.ddf dec-staticobject-e.dat staticobject-e.txt
l2disasm -d C4\symbolname-e.ddf -e symbolname-e-new.ddf dec-symbolname-e.dat symbolname-e.txt
l2disasm -d C4\sysstring-e.ddf -e sysstring-e-new.ddf dec-sysstring-e.dat sysstring-e.txt
l2disasm -d C4\systemmsg-e.ddf -e systemmsg-e-new.ddf dec-systemmsg-e.dat systemmsg-e.txt
l2disasm -d C4\weapongrp.ddf -e weapongrp-new.ddf dec-weapongrp.dat weapongrp.txt
l2disasm -d C4\zonename-e.ddf -e zonename-e-new.ddf dec-zonename-e.dat zonename-e.txt
l2disasm -d C4\systemmsg-e.ddf -e systemmsg-e-new.ddf dec-systemmsg-e.dat systemmsg-e.txt
l2disasm -d C4\weapongrp.ddf -e weapongrp-new.ddf dec-weapongrp.dat weapongrp.txt
l2disasm -d C4\zonename-e.ddf -e zonename-e-new.ddf dec-zonename-e.dat zonename-e.txt
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo 2nd Process finished! 
echo You can now edit your files, your .dat files are saved
echo Press any key to continue...
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
pause> nul


move *-new.ddf .\TempDDF

del /s dec-*.dat

move *.dat .\Save